commit 845085856185560952331626fbca3a1414cc3adb
Author: Haochen Gui <guihaoc@gcc.gnu.org>
Date:   Thu Aug 15 07:45:35 2024

    rs6000: Add TARGET_FLOAT128_HW guard for quad-precision insns
    
    gcc/
            * config/rs6000/rs6000.md (floatti<mode>2, floatunsti<mode>2,
            fix_trunc<mode>ti2): Add guard TARGET_FLOAT128_HW.
            * config/rs6000/vsx.md (xsxexpqp_<IEEE128:mode>_<V2DI_DI:mode>,
            xsxsigqp_<IEEE128:mode>_<VEC_TI:mode>, xsiexpqpf_<mode>,
            xsiexpqp_<IEEE128:mode>_<V2DI_DI:mode>, xscmpexpqp_<code>_<mode>,
            *xscmpexpqp, xststdcnegqp_<mode>): Replace guard TARGET_P9_VECTOR
            with TARGET_FLOAT128_HW.
    
    gcc/testsuite/
            * gcc.target/powerpc/float128-cmp2-runnable.c: Replace
            ppc_float128_sw with ppc_float128_hw and remove p9vector_hw.
    
    (cherry picked from commit bf891fcabca7a59ce71e85c8f2eea2bfabbffe59)

diff --git a/gcc/testsuite/gcc.target/powerpc/float128-cmp2-runnable.c b/gcc/testsuite/gcc.target/powerpc/float128-cmp2-runnable.c
index d376a3ca68e..f48aa089b05 100644
--- a/gcc/testsuite/gcc.target/powerpc/float128-cmp2-runnable.c
+++ b/gcc/testsuite/gcc.target/powerpc/float128-cmp2-runnable.c
@@ -1,6 +1,5 @@
 /* { dg-do run } */
-/* { dg-require-effective-target ppc_float128_sw } */
-/* { dg-require-effective-target p9vector_hw } */
+/* { dg-require-effective-target ppc_float128_hw } */
 /* { dg-options "-O2 -mdejagnu-cpu=power9 " } */
 
 #define NAN_Q __builtin_nanq ("")

